import { IHttpClient, BodyType } from "../../models/http/IHttpClient";
import { IOptions } from "../../models/http/IOptions";
import { IResponse } from "../../models/http/IResponse";
export declare class NodeHttpClient implements IHttpClient {
    get(url: string, options?: IOptions): Promise<IResponse<string>>;
    post(url: string, body?: BodyType, options?: IOptions): Promise<IResponse<string>>;
    method(method: string, url: string, body?: BodyType, options?: IOptions): Promise<IResponse<string>>;
}
